
#ifndef READKEYHEADER
#define READKEYHEADER

#include <ctype.h>
#include <inttypes.h>
#include <avr\io.h>

//Bit-MSK sind dieBinaere Umsetzung von Aufzaehlbezeichnern ( 0..7 )
#define KEY1_MSK  	0x01
#define KEY2_MSK  	0x02
#define KEY3_MSK   	0x04
#define KEY4_MSK   	0x08
#define LED1_MSK   	0x10
#define LED2_MSK   	0x20
#define BUZ11_MSK		0x40
#define MJE2955_MSK	0x80


#define TASTATUR_PORT_OUT			PORTB
#define TASTATUR_PORT_IN  			PINB
#define TASTATUR_DDRX_PORT			DDRB
#define TASTATUR_DDRX_OUT_MSK		0xF0 
#define TASTATUR_KEYS_MSK			0x0F
#define TASTATUR_OUT_CLR_MSK		0x0F //mMit Pullup

//Flags
#define KEY_RELEASED			0x01
#define KEY_PRESS_DETECT	0x02
#define KEY_RELEASE_DETECT	0x04
#define KEY_VALID				0x10
#define KEY_STATCLEAR_MSK	0xF0




typedef struct stKKey 
	{
	uint8_t u8Key;
	uint8_t u8KStat;
	uint32_t u32KEvent;
	}STKEYTYPE;
	
STKEYTYPE gstKey;

#define KEY_RELEASED			0x01
#define KEY_PRESS_DETECT	0x02
#define KEY_RELEASE_DETECT	0x04
#define KEY_VALID				0x10
#define KEY_STATCLEAR_MSK	0xF0

extern STKEYTYPE * CheckKey( void );
extern STKEYTYPE * InitKey( void );

#endif //endif  von Header


